Can not import flask 0.12.4 in conda

As part of installing all the required libraries , I could not install flask 0.12.4 .
Is there any other compatible version for same?

Also, I am getting an error while executing pytest command for db_connection.py.

(mflix) Shwetas-Air:mflix-python shwetapareek$ pytest -m test_db_connection.py
Traceback (most recent call last):
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/init.py”, line 397, in load_setuptools_entrypoints
plugin = ep.load()
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pkg_resources/init.py”, line 2410, in load
self.require(*args, **kwargs)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pkg_resources/init.py”, line 2433, in require
items = working_set.resolve(reqs, env, installer, extras=self.extras)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pkg_resources/init.py”, line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.VersionConflict: (pytest 3.3.0 (/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages), Requirement.parse(‘pytest>=3.6’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/shwetapareek/anaconda3/envs/mflix/bin/pytest”, line 11, in
sys.exit(main())
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/_pytest/config.py”, line 50, in main
config = _prepareconfig(args, plugins)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/_pytest/config.py”, line 160, in _prepareconfig
pluginmanager=pluginmanager, args=args)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/init.py”, line 617, in call
return self._hookexec(self, self._nonwrappers + self._wrappers, kwargs)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/init.py”, line 222, in _hookexec
return self._inner_hookexec(hook, methods, kwargs)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/init.py”, line 216, in
firstresult=hook.spec_opts.get(‘firstresult’),
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/callers.py”, line 196, in _multicall
gen.send(outcome)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/_pytest/helpconfig.py”, line 68, in pytest_cmdline_parse
config = outcome.get_result()
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/callers.py”, line 76, in get_result
raise ex[1].with_traceback(ex[2])
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/callers.py”, line 180, in _multicall
res = hook_impl.function(*args)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/_pytest/config.py”, line 942, in pytest_cmdline_parse
self.parse(args)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/_pytest/config.py”, line 1107, in parse
self._preparse(args, addopts=addopts)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/_pytest/config.py”, line 1070, in _preparse
self.pluginmanager.load_setuptools_entrypoints(‘pytest11’)
File “/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages/pluggy/init.py”, line 402, in load_setuptools_entrypoints
“Plugin %r could not be loaded: %s!” % (ep.name, e))
pluggy.PluginValidationError: Plugin ‘flask’ could not be loaded: (pytest 3.3.0 (/Users/shwetapareek/anaconda3/envs/mflix/lib/python3.6/site-packages), Requirement.parse(‘pytest>=3.6’))!